%global commit 51e7f1915b44ab792f46706026119a1fde39e49d
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapdate 20210609

Name:           probert
Version:        0.0.18%{?snapdate:^git%{snapdate}.%{shortcommit}}
Release:        1%{?dist}
Summary:        Simple hardware discovery tool

License:        AGPLv3+
URL:            https://github.com/canonical/probert
Source0:        %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  gcc
BuildRequires:  pkgconfig(libnl-genl-3.0)
BuildRequires:  pkgconfig(libnl-route-3.0)
BuildRequires:  python3dist(jsonschema)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(pyudev)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(testtools)

Requires:       bcache-tools
Requires:       device-mapper-multipath
Requires:       lvm2
Requires:       mdadm
%ifarch s390x
Requires:       s390utils
%endif
# Require any particular ZFS implementation
Requires:       /sbin/zfs
Requires:       /sbin/zdb

%description
This package provides a tool for probing host hardware information
and emitting a JSON report.


%prep
%autosetup -n %{name}-%{commit}

# Drop version restrictions
sed -e "s/==.*$//g" -i requirements.txt


%build
%py3_build


%install
%py3_install


%check
nosetests-%{python3_version} -v


%files
%license LICENSE
%doc README.md
%{_bindir}/probert
%{python3_sitearch}/probert*


%changelog
* Tue Jul 27 2021 Neal Gompa <ngompa@fedoraproject.org> - 0.0.18^git20210609.51e7f19-1
- Initial package
